individual_info_prompt = """In this game, There are {total_num_agents} agents available, you are agent{agent_id} and you can only control and plan the actions for this agent. 
If you try to execute an action for different agent, it will cause an error. \n"""

individual_examples = [
("user", 
"""There are 1 agents available. You are controlling agent0. You can execute 1 action at a time.
This is an example you can use as a reference for a different level.

-game state:
current game level: level_1
current dishes:
    name: beefMeatcake lifetime: 17
current game step: 0
maximum game steps: 30

-agent state:
at(agent0, servingtable0)
hold(agent0, None)

-kitchen state:
inside(storage0, None)
inside(servingtable0, None)
inside(blender0, None)

-accomplished task:

-action: 
"""),

("assistant","goto_agent0_storage0"),

("user",
"""-game state:
current game level: level_1
current dishes:
    name: beefMeatcake lifetime: 16
current game step: 1
maximum game steps: 30

-agent state:
at(agent0, storage0)
hold(agent0, None)

-kitchen state:
inside(storage0, None)
inside(servingtable0, None)
inside(blender0, None)

-accomplished task:

-action: 
"""),

("assistant","get_agent0_beef_storage0"),

("user", """-game state:
current game level: level_1
current dishes:
    name: beefMeatcake lifetime: 15
current game step: 2
maximum game steps: 30

-agent state:
at(agent0, storage0)
hold(agent0, beef)

-kitchen state:
inside(storage0, None)
inside(servingtable0, None)
inside(blender0, None)

-accomplished task:

-action:
"""),

("assistant","goto_agent0_blender0"),

("user", """
current game level: level_1
current dishes:
    name: beefMeatcake lifetime: 14
current game step: 3
maximum game steps: 30

-agent state:
at(agent0, blender0)
hold(agent0, beef)

-kitchen state:
inside(storage0, None)
inside(servingtable0, None)
inside(blender0, None)

-accomplished task:

-action:
"""),

("assistant","put_agent0_blender0"),

("user", """-game state:
current game level: level_1
current dishes:
    name: beefMeatcake lifetime: 13
current game step: 4
maximum game steps: 30

-agent state:
at(agent0, blender0)
hold(agent0, None)

-kitchen state:
inside(storage0, None)
inside(servingtable0, None)
inside(blender0, beef)

-accomplished task:

-action:
"""),

("assistant","goto_agent0_storage0"),

("user", """-game state:
current game level: level_1
current dishes:
    name: beefMeatcake lifetime: 12
current game step: 5
maximum game steps: 30

-agent state:
at(agent0, storage0)
hold(agent0, None)

-kitchen state:
inside(storage0, None)
inside(servingtable0, None)
inside(blender0, beef)

-accomplished task:

-action:
"""),

("assistant","get_agent0_flour_storage0"),

("user", """-game state:
current game level: level_1
current dishes:
    name: beefMeatcake lifetime: 11
current game step: 6
maximum game steps: 30

-agent state:
at(agent0, storage0)
hold(agent0, flour)

-kitchen state:
inside(storage0, None)
inside(servingtable0, None)
inside(blender0, beef)

-accomplished task:

-action:
"""),

("assistant","goto_agent0_blender0"),

("user", """-game state:
current game level: level_1
current dishes:
    name: beefMeatcake lifetime: 10
    name: porkMeatcake lifetime: 17
current game step: 7
maximum game steps: 30

-agent state:
at(agent0, blender0)
hold(agent0, flour)

-kitchen state:
inside(storage0, None)
inside(servingtable0, None)
inside(blender0, beef)

-accomplished task:

-action:
"""),

("assistant","put_agent0_blender0"),

("user", """-game state:
current game level: level_1
current dishes:
    name: beefMeatcake lifetime: 9
    name: porkMeatcake lifetime: 16
current game step: 8
maximum game steps: 30

-agent state:
at(agent0, blender0)
hold(agent0, None)

-kitchen state:
inside(storage0, None)
inside(servingtable0, None)
inside(blender0, beef&flour)

-accomplished task:

-action:
"""),

("assistant","activate_agent0_blender0"),

("user", """-game state:
 current game level: level_1
current dishes:
    name: beefMeatcake lifetime: 8
    name: porkMeatcake lifetime: 15
current game step: 9
maximum game steps: 30

-agent state:
at(agent0, blender0)
hold(agent0, None)

-kitchen state:
inside(storage0, None)
inside(servingtable0, None)
inside(blender0, beefMeatcake)
occupy(blender0)

-accomplished task:

-action:
"""),

("assistant","noop_agent0"),

("user", """-game state:
current game level: level_1
current dishes:
    name: beefMeatcake lifetime: 7
    name: porkMeatcake lifetime: 14
current game step: 10
maximum game steps: 30

-agent state:
at(agent0, blender0)
hold(agent0, None)

-kitchen state:
inside(storage0, None)
inside(servingtable0, None)
inside(blender0, beefMeatcake)

-accomplished task:

-action:
"""),

("assistant","get_agent0_blender0"),

("user", """-game state:
current game level: level_1
current dishes:
    name: beefMeatcake lifetime: 6
    name: porkMeatcake lifetime: 13
current game step: 11
maximum game steps: 30

-agent state:
at(agent0, blender0)
hold(agent0, beefMeatcake)

-kitchen state:
inside(storage0, None)
inside(servingtable0, None)
inside(blender0, None)

-accomplished task:

-action:
"""),

("assistant","goto_agent0_servingtable0"),

("user", """-game state:
current game level: level_1
current dishes:
    name: beefMeatcake lifetime: 5
    name: porkMeatcake lifetime: 12
current game step: 12
maximum game steps: 30

-agent state:
at(agent0, servingtable0)
hold(agent0, beefMeatcake)

-kitchen state:
inside(storage0, None)
inside(servingtable0, None)
inside(blender0, None)

-accomplished task:

-action:
"""),

("assistant","put_agent0_servingtable0"),

("user", """-game state:
current game level: level_1
current dishes:
    name: porkMeatcake lifetime: 11
current game step: 13
maximum game steps: 30

-agent state:
at(agent0, servingtable0)
hold(agent0, None)

-kitchen state:
inside(storage0, None)
inside(servingtable0, None)
inside(blender0, None)

-accomplished task:
beefMeatcake,

-action:
"""),

("assistant","goto_agent0_storage0")
]